Show / Hide Table of Contents

# Class ServerCapabilities

##### Inheritance

System.Object
ServerCapabilities

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ServerCapabilities

### Properties

| Improve this Doc View Source

#### CompletionProvider

##### Declaration

    public CompletionOptions CompletionProvider { get; set; }

##### Property Value

Type | Description
--- | ---
CompletionOptions |

| Improve this Doc View Source

#### DefinitionProvider

##### Declaration

    public bool ? DefinitionProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### DocumentHighlightProvider

##### Declaration

    public bool ? DocumentHighlightProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### DocumentSymbolProvider

##### Declaration

    public bool ? DocumentSymbolProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### HoverProvider

##### Declaration

    public bool ? HoverProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### ReferencesProvider

##### Declaration

    public bool ? ReferencesProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### SignatureHelpProvider

##### Declaration

    public SignatureHelpOptions SignatureHelpProvider { get; set; }

##### Property Value

Type | Description
--- | ---
SignatureHelpOptions |

| Improve this Doc View Source

#### TextDocumentSync

##### Declaration

    public TextDocumentSyncKind? TextDocumentSync { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<TextDocumentSyncKind> |

| Improve this Doc View Source

#### WorkspaceSymbolProvider

##### Declaration

    public bool ? WorkspaceSymbolProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |